org.eclipse.pde.ui.templates

## Class OptionTemplateWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.pde.ui.templates.OptionTemplateWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

    public class OptionTemplateWizardPage
    extends WizardPage

An implementation of the standard wizard page that creates its contents from the list of template options. The options will be created in the order they are added to the list. When the page is made visible, options that require late initialization will be given a chance to initialize.

Since:
  2.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`OptionTemplateWizardPage(BaseOptionTemplateSection section, ArrayList<?> options, String helpContextId)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite composite)` Creates the page control by creating individual options in the order subject to their position in the list.'
`void` `setVisible(boolean visible)` Initializes the options that require late initialization when the page is made visible.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### OptionTemplateWizardPage

    public OptionTemplateWizardPage(BaseOptionTemplateSection section,
                                    ArrayList<?> options,
                                    String helpContextId)

The constructor.

Parameters:
  `section` - the section that is contributing this page
  `options` - a list of options that should be shown in this page.
  `helpContextId` - the help context id

### Method Detail

#### createControl

    public void createControl(Composite composite)

Creates the page control by creating individual options in the order subject to their position in the list.'

Parameters:
  `composite` -

#### setVisible

    public void setVisible(boolean visible)

Initializes the options that require late initialization when the page is made visible.

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`
Parameters:
  `visible` -